net.snowflake.client.jdbc.telemetryV2

## Class TelemetryEvent

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<String,Object>
    - - net.minidev.json.JSONObject
      - - net.snowflake.client.jdbc.telemetryV2.TelemetryEvent

All Implemented Interfaces:
  Serializable, Cloneable, Map<String,Object>, net.minidev.json.JSONAware, net.minidev.json.JSONAwareEx, net.minidev.json.JSONStreamAware, net.minidev.json.JSONStreamAwareEx

    public class TelemetryEvent
    extends net.minidev.json.JSONObject

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TelemetryEvent.LogBuilder` Build log json object
`static class` `TelemetryEvent.MetricBuilder` Build metric json object
`static class` `TelemetryEvent.Type`

### Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

### Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K,V>`

### Constructor Summary

Constructors
Constructor and Description
`TelemetryEvent()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getDeployment()`

### Methods inherited from class net.minidev.json.JSONObject

`appendField, escape, getAsNumber, getAsString, merge, merge, merge, toJSONString, toJSONString, toJSONString, toJSONString, toString, toString, writeJSON, writeJSON, writeJSONKV, writeJSONString, writeJSONString`

### Methods inherited from class java.util.HashMap

`clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

### Methods inherited from class java.util.AbstractMap

`equals, hashCode`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`equals, hashCode`

### Constructor Detail

#### TelemetryEvent

    public TelemetryEvent()

### Method Detail

#### getDeployment

    public String getDeployment()

Returns:
  the deployment of this event